import { createApp } from 'vue'
import App from './App.vue'
import './registerServiceWorker'
import router from './router'
import store from './store'

// Start Change: Import Element Plus and its CSS
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
// End Change: Import Element Plus and its CSS

// 导入axios实例
import request from './utils/request'
import axios from 'axios'

// 设置axios的默认配置
axios.defaults.withCredentials = true; // 确保跨域请求带上cookie
axios.defaults.timeout = 15000; // 设置默认超时时间

// 将axios实例挂载到全局
const app = createApp(App)
app.config.globalProperties.$axios = request
// 同时保留原始axios便于特殊请求（如登录）使用
app.config.globalProperties.$http = axios

app
  .use(store)
  .use(router)
  .use(ElementPlus) // Use Element Plus
  .mount('#app')
